## check_linux_bonding-1.4.gh.tar.gz

=== man/Makefile ===
# Special variables
DOCBOOK_XSLT   = http://docbook.sourceforge.net/release/xsl/current/manpages/profile-docbook.xsl
XSLTPROC       = /usr/bin/xsltproc
XSLTPROC_FLAGS = --catalogs --xinclude --nonet --stringparam profile.condition "with_false"
XMLLINT        = /usr/bin/xmllint
XMLLINT_FLAGS  = --catalogs --postvalid --nonet --xinclude --noout
SGML_CATALOG_FILES = /etc/xml/catalog

export SGML_CATALOG_FILES

MANS =  check_linux_bonding.8

default: man

man: $(MANS)

clean:
	rm $(MANS)

check_linux_bonding.8: check_linux_bonding.8.xml
	$(XMLLINT) $(XMLLINT_FLAGS) $<
	$(XSLTPROC) -o $@  $(XSLTPROC_FLAGS) $(DOCBOOK_XSLT) $<

=== debian/changelog ===
check-linux-bonding (1.4-1) unstable; urgency=low

  * New upstream release.

 -- Trond Hasle Amundsen <t.h.amundsen@usit.uio.no>  Tue, 13 May 2014 16:00:00 +0200

check-linux-bonding (1.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Trond Hasle Amundsen <t.h.amundsen@usit.uio.no>  Fri, 14 Dec 2012 12:00:00 +0100

check-linux-bonding (1.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Trond Hasle Amundsen <t.h.amundsen@usit.uio.no>  Thu, 26 Oct 2010 15:39:33 +0200

check-linux-bonding (1.3.0-1) unstable; urgency=low

  * Initial release.

 -- Trond Hasle Amundsen <t.h.amundsen@usit.uio.no>  Thu, 26 Aug 2010 10:57:46 +0200

=== debian/control ===
Source: check-linux-bonding
Section: admin
Priority: extra
Maintainer: Trond Hasle Amundsen <t.h.amundsen@usit.uio.no>
Build-Depends: debhelper (>= 7), perl
Standards-Version: 3.8.3
Homepage: http://folk.uio.no/trondham/software/check_linux_bonding.html

Package: check-linux-bonding
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}
Suggests: nagios-nrpe-plugin
Description: check_linux_bonding is a plugin for the Nagios monitoring
 software that checks bonding interfaces on Linux. The plugin is
 fairly simple and will report any interfaces that are down (both
 masters and slaves). It will also alert you of bonding interfaces
 with only one slave, since that usually points to a misconfiguration.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=debian/check-linux-bonding

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	install -p -m 0755 check_linux_bonding $(DESTDIR)/usr/lib/nagios/plugins

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_installman check_linux_bonding.8
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
